Package icyllis.arc3d.engine.trash.ops

# Class OpsTask

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.engine.RenderTask
icyllis.arc3d.engine.trash.ops.OpsTask

All Implemented Interfaces:
  `RefCounted`

@Deprecated public class OpsTask extends RenderTask
Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STENCIL_CONTENT_DONT_CARE`
  Deprecated.
  `static final int`
  `STENCIL_CONTENT_PRESERVED`
  Deprecated.
  `static final int`
  `STENCIL_CONTENT_USER_BITS_CLEARED`
  Deprecated.

  ### Fields inherited from class icyllis.arc3d.engine.RenderTask

  `ATLAS_FLAG, CLOSED_FLAG, DETACHED_FLAG, IN_RESULT_FLAG, mTargets, mTaskManager, RESOLVE_FLAG_MIPMAPS, RESOLVE_FLAG_MSAA, SKIPPABLE_FLAG, TEMP_MARK_FLAG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpsTask(RenderTaskManager drawingMgr, ImageProxyView writeView)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDrawOp(DrawOp op, ClipResult_old clip, int processorAnalysis)`
  Deprecated.
  `void`
  `addOp(Op op)`
  Deprecated.
  `boolean`
  `execute(OpFlushState flushState)`
  Deprecated.
  This method will be invoked at flush-time to execute commands.
  `void`
  `gatherSurfaceIntervals(SurfaceAllocator alloc)`
  Deprecated.
  `protected void`
  `onMakeClosed(RecordingContext context)`
  Deprecated.
  `void`
  `prepare(OpFlushState flushState)`
  Deprecated.
  This method will be invoked at flush-time to create pipeline information and build input buffers.
  `void`
  `setColorLoadOp(byte loadOp, float red, float green, float blue, float alpha)`
  Deprecated.
  `void`
  `setInitialStencilContent(int stencilContent)`
  Deprecated.

  ### Methods inherited from class icyllis.arc3d.engine.RenderTask

  `addDependency, addTarget, deallocate, dependsOn, detach, getTarget, getTarget, getUniqueID, isClosed, isInstantiated, isSkippable, makeClosed, makeSkippable, numTargets, onMakeSkippable, prePrepare, toString`

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STENCIL_CONTENT_DONT_CARE

    public static final int STENCIL_CONTENT_DONT_CARE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### STENCIL_CONTENT_USER_BITS_CLEARED

    public static final int STENCIL_CONTENT_USER_BITS_CLEARED
    Deprecated.
    See Also:
      - Constant Field Values

  - ### STENCIL_CONTENT_PRESERVED

    public static final int STENCIL_CONTENT_PRESERVED
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OpsTask

    public OpsTask(@Nonnull RenderTaskManager drawingMgr, @Nonnull ImageProxyView writeView)
    Deprecated.
    Parameters:
      `writeView` - the reference to the owner's write view

- ## Method Details

  - ### setColorLoadOp

    public void setColorLoadOp(byte loadOp, float red, float green, float blue, float alpha)
    Deprecated.

  - ### setInitialStencilContent

    public void setInitialStencilContent(int stencilContent)
    Deprecated.

  - ### gatherSurfaceIntervals

    public void gatherSurfaceIntervals(SurfaceAllocator alloc)
    Deprecated.
    Overrides:
      `gatherSurfaceIntervals` in class `RenderTask`

  - ### prepare

    public void prepare(OpFlushState flushState)
    Deprecated.
    Description copied from class: `RenderTask`
    This method will be invoked at flush-time to create pipeline information and build input buffers.
    Overrides:
      `prepare` in class `RenderTask`

  - ### execute

    public boolean execute(OpFlushState flushState)
    Deprecated.
    Description copied from class: `RenderTask`
    This method will be invoked at flush-time to execute commands.
    Specified by:
      `execute` in class `RenderTask`

  - ### onMakeClosed

    protected void onMakeClosed(RecordingContext context)
    Deprecated.
    Overrides:
      `onMakeClosed` in class `RenderTask`

  - ### addOp

    public void addOp(@Nonnull Op op)
    Deprecated.

  - ### addDrawOp

    public void addDrawOp(@Nonnull DrawOp op, @Nullable ClipResult_old clip, int processorAnalysis)
    Deprecated.